# xbim_comms

This is the XBIM Flex Swagger service where you can explore the REST API for the platform.

- API version: 2.0
- Build package: org.openapitools.codegen.languages.DartClientCodegen
For more information, please visit [https://xbim.net](https://xbim.net)

This Dart package was generated using [OpenAPI Generator](https://openapi-generator.tech).

## Requirements

Dart 2.0 or later

## Installation & Usage

### Pub.Dev
To use the package in your local drive, add the following dependency to your pubspec.yaml
```
dependencies:
  xbim_identity: ^2.0.0
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:xbim_comms/api.dart';

// TODO Configure OAuth2 access token for authorization: oauth2
//defaultApiClient.getAuthentication<OAuth>('oauth2').accessToken = 'YOUR_ACCESS_TOKEN';

final api_instance = ContactsApi();
final term = term_example; // String | 
final region = region_example; // String | The data center region the data resides in
final dollarExpand = dollarExpand_example; // String | 
final dollarFilter = dollarFilter_example; // String | 
final dollarSelect = dollarSelect_example; // String | 
final dollarOrderby = dollarOrderby_example; // String | 
final dollarTop = 56; // int | 
final dollarSkip = 56; // int | 
final dollarCount = true; // bool | 

try {
    final result = api_instance.contactsSearch(term, region, dollarExpand, dollarFilter, dollarSelect, dollarOrderby, dollarTop, dollarSkip, dollarCount);
    print(result);
} catch (e) {
    print('Exception when calling ContactsApi->contactsSearch: $e\n');
}

```



## Author

info@xbim.net

